package com.css.simulation.resource.scheduler.mapper;


import com.css.simulation.resource.scheduler.pojo.po.IndexPO;
import org.apache.ibatis.annotations.*;
import org.apache.ibatis.type.JdbcType;

import java.util.List;

/**
 * 指标查询
 * simulation_package_sublist
 */
@Mapper
public interface IndexMapper {


    @Results(id = "index", value = {
            @Result(column = "scene_natural_ids",property = "sceneNaturalIds",  jdbcType = JdbcType.VARCHAR),
            @Result(column = "scene_traffic_ids",property = "sceneTrafficIds",  jdbcType = JdbcType.VARCHAR),
            @Result(column = "scene_statue_ids",property = "sceneStatueIds",  jdbcType = JdbcType.VARCHAR)
    })


    @Select("select scene_natural_ids,\n" +
            "       scene_traffic_ids,\n" +
            "       scene_statue_ids\n" +
            "from scene_package_sublist sps\n" +
            "         left join scene_package sp on parent_id = sp.package_id\n" +
            "where sps.is_deleted = '0' and sp.is_deleted = '0'\n" +
            "  and parent_id = '#{packageId}'\n" +
            "  and ((scene_natural_ids is not null and scene_natural_ids != '')\n" +
            "    or (scene_traffic_ids is not null and scene_traffic_ids != '')\n" +
            "    or (scene_statue_ids is not null and scene_statue_ids != ''))")
    List<IndexPO> selectLeafIndexByPackageId(@Param("packageId") String packageId);
}
